Loading...
Searching...
No Matches
BALL::Parameters Class Reference
Molecular Modeling » File Formats » General Purpose File Formats

`#include <BALL/FORMAT/parameters.h>`

Inheritance diagram for BALL::Parameters:

## Public Member Functions

Constructors and destructor
| Parameters ()
| Parameters (const String &filename)
| Parameters (const Parameters &force_field_parameter)
virtual | ~Parameters ()
virtual void | clear ()
Assignment
const Parameters & | operator= (const Parameters &parameters)
Accessors
void | setFilename (const String &filename)
const String & | getFilename () const
INIFile & | getParameterFile ()
bool | init ()

## Predicates

bool | valid_
INIFile | INI_file_
virtual bool | isValid () const
bool | operator== (const Parameters &parameters) const

## Detailed Description

General Parameter class. This class is intended to simplify parameter management for force fields or other stronlgy parameterized methods. It is based on INIFile .

Definition at line 24 of file parameters.h.

## Constructor & Destructor Documentation

## Parameters() [1/3]

BALL::Parameters::Parameters | ( |  | ) |

Default constructor.

## Parameters() [2/3]

BALL::Parameters::Parameters | ( | const String & | filename | ) |

Constructor.

## Parameters() [3/3]

BALL::Parameters::Parameters | ( | const Parameters & | force_field_parameter | ) |

Copy constructor

## ~Parameters()

virtual BALL::Parameters::~Parameters | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

## clear()

virtual void BALL::Parameters::clear | ( |  | ) |

virtual

Clear method.

Reimplemented in BALL::ForceFieldParameters.

## getFilename()

const String & BALL::Parameters::getFilename | ( |  | ) | const

Return the current INI file's name.

## getParameterFile()

INIFile & BALL::Parameters::getParameterFile | ( |  | ) |

Return a reference to the INI file.

## init()

bool BALL::Parameters::init | ( |  | ) |

Read the contents of the INI file and interpret them.

## isValid()

virtual bool BALL::Parameters::isValid | ( |  | ) | const

virtual

Validity predicate. Return true if the parameters were correctly initialized, the internal INI file is valid.

Returns
  bool - valid_ && parameter_file_.isValid()

Reimplemented in BALL::ForceFieldParameters.

## operator=()

const Parameters & BALL::Parameters::operator= | ( | const Parameters & | parameters | ) |

Assignment operator

## operator==()

bool BALL::Parameters::operator== | ( | const Parameters & | parameters | ) | const

Equality operator

## setFilename()

void BALL::Parameters::setFilename | ( | const String & | filename | ) |

Sets the filename for the INI file.

## Member Data Documentation

## INI_file_

INIFile BALL::Parameters::INI_file_

protected

Definition at line 115 of file parameters.h.

## valid_

bool BALL::Parameters::valid_

protected

Definition at line 111 of file parameters.h.